Package org.eclipse.m2m.atl.profiler.model.impl

## Class ATLInstructionImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.profiler.model.impl.ATLInstructionImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `ATLInstruction`

Direct Known Subclasses:
  `ATLOperationImpl`

    public class ATLInstructionImpl
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements ATLInstruction

An implementation of the model object 'ATL Instruction'.

The following features are implemented:

- `ATL Element Ref`
- `Name`
- `Profiling Instructions`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected static java.lang.Object` `ATL_ELEMENT_REF_EDEFAULT` The default value of the '`ATL Element Ref`' attribute.
`protected java.lang.Object` `atlElementRef` The cached value of the '`ATL Element Ref`' attribute.
`protected java.lang.String` `name` The cached value of the '`Name`' attribute.
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute.
`protected org.eclipse.emf.common.util.EList<ProfilingInstruction>` `profilingInstructions` The cached value of the '`Profiling Instructions`' reference list.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `ATLInstructionImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`java.lang.Object` `getATLElementRef()`
`java.lang.String` `getName()`
`org.eclipse.emf.common.util.EList<ProfilingInstruction>` `getProfilingInstructions()`
`void` `setATLElementRef​(java.lang.Object newATLElementRef)`
`void` `setName​(java.lang.String newName)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### ATL_ELEMENT_REF_EDEFAULT

    protected static final java.lang.Object ATL_ELEMENT_REF_EDEFAULT

The default value of the '`ATL Element Ref`' attribute.

See Also:
  `getATLElementRef()`

#### atlElementRef

    protected java.lang.Object atlElementRef

The cached value of the '`ATL Element Ref`' attribute.

See Also:
  `getATLElementRef()`

#### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

The default value of the '`Name`' attribute.

See Also:
  `getName()`

#### name

    protected java.lang.String name

The cached value of the '`Name`' attribute.

See Also:
  `getName()`

#### profilingInstructions

    protected org.eclipse.emf.common.util.EList<ProfilingInstruction> profilingInstructions

The cached value of the '`Profiling Instructions`' reference list.

See Also:
  `getProfilingInstructions()`

### Constructor Detail

#### ATLInstructionImpl

    protected ATLInstructionImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

#### getATLElementRef

    public java.lang.Object getATLElementRef()

Specified by:
  `getATLElementRef` in interface `ATLInstruction`
Returns:
  the value of the 'ATL Element Ref' attribute.
See Also:
  `ATLInstruction.setATLElementRef(Object)`, `ModelPackage.getATLInstruction_ATLElementRef()`

#### setATLElementRef

    public void setATLElementRef​(java.lang.Object newATLElementRef)

Specified by:
  `setATLElementRef` in interface `ATLInstruction`
Parameters:
  `newATLElementRef` - the new value of the 'ATL Element Ref' attribute.
See Also:
  `ATLInstruction.getATLElementRef()`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `ATLInstruction`
Returns:
  the value of the 'Name' attribute.
See Also:
  `ATLInstruction.setName(String)`, `ModelPackage.getATLInstruction_Name()`

#### setName

    public void setName​(java.lang.String newName)

Specified by:
  `setName` in interface `ATLInstruction`
Parameters:
  `newName` - the new value of the 'Name' attribute.
See Also:
  `ATLInstruction.getName()`

#### getProfilingInstructions

    public org.eclipse.emf.common.util.EList<ProfilingInstruction> getProfilingInstructions()

Specified by:
  `getProfilingInstructions` in interface `ATLInstruction`
Returns:
  the value of the 'Profiling Instructions' reference list.
See Also:
  `ModelPackage.getATLInstruction_ProfilingInstructions()`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`